
Figure - Bug #115952
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】设备进入屏保时，使用遥控器打开应用，应用被成功打开，但是设备仍停留在屏
保页面
2023-02-06 17:03 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 遥控器服务端在打开app时缺少屏保的判断��解决方案：��在启动app时检测屏保状态，如果处于屏保中，则打开屏保后再启动app

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、设备连接遥控器

2、等待设备进入屏保

3、使用遥控器打开应用

【预期结果】

3、唤醒设备并打开对应应用

【实际结果】

3、应用被成功打开，但是设备仍停留在屏保页面

【复现率】

3/3

History

#1 - 2023-02-07 11:35 - CD FW-程天颖

- Status changed from New to ASSIGNED

- Root cause set to 遥控器服务端在打开app时缺少屏保的判断

解决方案：

在启动app时检测屏保状态，如果处于屏保中，则打开屏保后再启动app

■ Current conclusion

代码已提交

■ My analysis

遥控器服务端在打开app时缺少屏保的判断

解决方案：

在启动app时检测屏保状态，如果处于屏保中，则打开屏保后再启动app

■ Next action

入库代码
#2 - 2023-02-07 20:18 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179805 general/platform/vendor/thundercom

m/apps/RemoteControlServer

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Service - When dream on open app can`t dream offTC-RID: 1201-0206001IssueID: TS-R-BUG-115952Change-Id:

I41afe379971e9a10bd15b9971273000f09bb440b

#3 - 2023-02-07 20:20 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-07

■ Current conclusion

提交已入库

■ My analysis

遥控器服务端在打开app时缺少屏保的判断

解决方案：

在启动app时检测屏保状态，如果处于屏保中，则打开屏保后再启动app

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/179805

#4 - 2023-02-08 11:16 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302080731

2.8

验证通过

#5 - 2023-02-08 11:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlServer/+/179805

